<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:35:12 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
AbstractConnPool (HttpCore 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractConnPool (HttpCore 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractConnPool.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/pool/ConnFactory.html" title="interface in org.apache.http.pool"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/pool/AbstractConnPool.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractConnPool.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.pool</FONT>
<BR>
Class AbstractConnPool&lt;T,C,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;T,C&gt;&gt;</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.pool.AbstractConnPool&lt;T,C,E&gt;</B>
</PRE>
<DL>
<DT><DT><B>Type Parameters:</B><DD><CODE>T</CODE> - the route type that represents the opposite endpoint of a pooled
   connection.<DD><CODE>C</CODE> - the connection type.<DD><CODE>E</CODE> - the type of the pool entry containing a pooled connection.</DL>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;T,E&gt;, <A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;T&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../org/apache/http/impl/pool/BasicConnPool.html" title="class in org.apache.http.impl.pool">BasicConnPool</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/ThreadSafe.html" title="annotation in org.apache.http.annotation">@ThreadSafe</A>
</FONT>public abstract class <B>AbstractConnPool&lt;T,C,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;T,C&gt;&gt;</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;T,E&gt;, <A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;T&gt;</DL>
</PRE>

<P>
Abstract synchronous (blocking) pool of connections.
 <p/>
 Please note that this class does not maintain its own pool of execution <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Thread.html?is-external=true" title="class or interface in java.lang"><CODE>Thread</CODE></A>s.
 Therefore, one <b>must</b> call <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get()" title="class or interface in java.util.concurrent"><CODE>Future.get()</CODE></A> or <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get(long, java.util.concurrent.TimeUnit)" title="class or interface in java.util.concurrent"><CODE>Future.get(long, TimeUnit)</CODE></A>
 method on the <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent"><CODE>Future</CODE></A> object returned by the
 <A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#lease(T, java.lang.Object, org.apache.http.concurrent.FutureCallback)"><CODE>lease(Object, Object, FutureCallback)</CODE></A> method in order for the lease operation
 to complete.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#AbstractConnPool(org.apache.http.pool.ConnFactory, int, int)">AbstractConnPool</A></B>(<A HREF="../../../../org/apache/http/pool/ConnFactory.html" title="interface in org.apache.http.pool">ConnFactory</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&gt;&nbsp;connFactory,
                 int&nbsp;defaultMaxPerRoute,
                 int&nbsp;maxTotal)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#closeExpired()">closeExpired</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes expired connections and evicts them from the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#closeIdle(long, java.util.concurrent.TimeUnit)">closeIdle</A></B>(long&nbsp;idletime,
          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes connections that have been idle longer than the given period
 of time and evicts them from the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#createEntry(T, C)">createEntry</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
            <A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new entry for the given connection with the given route.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#getDefaultMaxPerRoute()">getDefaultMaxPerRoute</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#getMaxPerRoute(T)">getMaxPerRoute</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#getMaxTotal()">getMaxTotal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/pool/PoolStats.html" title="class in org.apache.http.pool">PoolStats</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#getStats(T)">getStats</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/pool/PoolStats.html" title="class in org.apache.http.pool">PoolStats</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#getTotalStats()">getTotalStats</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#isShutdown()">isShutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#lease(T, java.lang.Object)">lease</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attempts to lease a connection for the given route and with the given
 state from the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#lease(T, java.lang.Object, org.apache.http.concurrent.FutureCallback)">lease</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state,
      <A HREF="../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Attempts to lease a connection for the given route and with the given
 state from the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#release(E, boolean)">release</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&nbsp;entry,
        boolean&nbsp;reusable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Releases the pool entry back to the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#setDefaultMaxPerRoute(int)">setDefaultMaxPerRoute</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#setMaxPerRoute(T, int)">setMaxPerRoute</A></B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
               int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#setMaxTotal(int)">setMaxTotal</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shuts down the pool.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/pool/AbstractConnPool.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractConnPool(org.apache.http.pool.ConnFactory, int, int)"><!-- --></A><H3>
AbstractConnPool</H3>
<PRE>
public <B>AbstractConnPool</B>(<A HREF="../../../../org/apache/http/pool/ConnFactory.html" title="interface in org.apache.http.pool">ConnFactory</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&gt;&nbsp;connFactory,
                        int&nbsp;defaultMaxPerRoute,
                        int&nbsp;maxTotal)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createEntry(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="createEntry(T, C)"><!-- --></A><H3>
createEntry</H3>
<PRE>
protected abstract <A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A> <B>createEntry</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
                                 <A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&nbsp;conn)</PRE>
<DL>
<DD>Creates a new entry for the given connection with the given route.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isShutdown()"><!-- --></A><H3>
isShutdown</H3>
<PRE>
public boolean <B>isShutdown</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()
              throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Shuts down the pool.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="lease(java.lang.Object,java.lang.Object,org.apache.http.concurrent.FutureCallback)"><!-- --></A><A NAME="lease(T, java.lang.Object, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
lease</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt; <B>lease</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state,
                       <A HREF="../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt;&nbsp;callback)</PRE>
<DL>
<DD>Attempts to lease a connection for the given route and with the given
 state from the pool.
 <p/>
 Please note that this class does not maintain its own pool of execution
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Thread.html?is-external=true" title="class or interface in java.lang"><CODE>Thread</CODE></A>s. Therefore, one <b>must</b> call <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get()" title="class or interface in java.util.concurrent"><CODE>Future.get()</CODE></A>
 or <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get(long, java.util.concurrent.TimeUnit)" title="class or interface in java.util.concurrent"><CODE>Future.get(long, TimeUnit)</CODE></A> method on the <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent"><CODE>Future</CODE></A>
 returned by this method in order for the lease operation to complete.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPool.html#lease(T, java.lang.Object, org.apache.http.concurrent.FutureCallback)">lease</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A> extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - route of the connection.<DD><CODE>state</CODE> - arbitrary object that represents a particular state
  (usually a security principal or a unique token identifying
  the user whose credentials have been used while establishing the connection).
  May be <code>null</code>.<DD><CODE>callback</CODE> - operation completion callback.
<DT><B>Returns:</B><DD>future for a leased pool entry.</DL>
</DD>
</DL>
<HR>

<A NAME="lease(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="lease(T, java.lang.Object)"><!-- --></A><H3>
lease</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&gt; <B>lease</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</PRE>
<DL>
<DD>Attempts to lease a connection for the given route and with the given
 state from the pool.
 <p/>
 Please note that this class does not maintain its own pool of execution
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Thread.html?is-external=true" title="class or interface in java.lang"><CODE>Thread</CODE></A>s. Therefore, one <b>must</b> call <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get()" title="class or interface in java.util.concurrent"><CODE>Future.get()</CODE></A>
 or <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true#get(long, java.util.concurrent.TimeUnit)" title="class or interface in java.util.concurrent"><CODE>Future.get(long, TimeUnit)</CODE></A> method on the <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent"><CODE>Future</CODE></A>
 returned by this method in order for the lease operation to complete.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - route of the connection.<DD><CODE>state</CODE> - arbitrary object that represents a particular state
  (usually a security principal or a unique token identifying
  the user whose credentials have been used while establishing the connection).
  May be <code>null</code>.
<DT><B>Returns:</B><DD>future for a leased pool entry.</DL>
</DD>
</DL>
<HR>

<A NAME="release(org.apache.http.pool.PoolEntry,boolean)"><!-- --></A><A NAME="release(E, boolean)"><!-- --></A><H3>
release</H3>
<PRE>
public void <B>release</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A>&nbsp;entry,
                    boolean&nbsp;reusable)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/pool/ConnPool.html#release(E, boolean)">ConnPool</A></CODE></B></DD>
<DD>Releases the pool entry back to the pool.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPool.html#release(E, boolean)">release</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">E</A> extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>,<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">C</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>entry</CODE> - pool entry leased from the pool<DD><CODE>reusable</CODE> - flag indicating whether or not the released connection
   is in a consistent state and is safe for further use.</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxTotal(int)"><!-- --></A><H3>
setMaxTotal</H3>
<PRE>
public void <B>setMaxTotal</B>(int&nbsp;max)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#setMaxTotal(int)">setMaxTotal</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxTotal()"><!-- --></A><H3>
getMaxTotal</H3>
<PRE>
public int <B>getMaxTotal</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#getMaxTotal()">getMaxTotal</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultMaxPerRoute(int)"><!-- --></A><H3>
setDefaultMaxPerRoute</H3>
<PRE>
public void <B>setDefaultMaxPerRoute</B>(int&nbsp;max)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#setDefaultMaxPerRoute(int)">setDefaultMaxPerRoute</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultMaxPerRoute()"><!-- --></A><H3>
getDefaultMaxPerRoute</H3>
<PRE>
public int <B>getDefaultMaxPerRoute</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#getDefaultMaxPerRoute()">getDefaultMaxPerRoute</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxPerRoute(java.lang.Object,int)"><!-- --></A><A NAME="setMaxPerRoute(T, int)"><!-- --></A><H3>
setMaxPerRoute</H3>
<PRE>
public void <B>setMaxPerRoute</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route,
                           int&nbsp;max)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#setMaxPerRoute(T, int)">setMaxPerRoute</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxPerRoute(java.lang.Object)"><!-- --></A><A NAME="getMaxPerRoute(T)"><!-- --></A><H3>
getMaxPerRoute</H3>
<PRE>
public int <B>getMaxPerRoute</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#getMaxPerRoute(T)">getMaxPerRoute</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTotalStats()"><!-- --></A><H3>
getTotalStats</H3>
<PRE>
public <A HREF="../../../../org/apache/http/pool/PoolStats.html" title="class in org.apache.http.pool">PoolStats</A> <B>getTotalStats</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#getTotalStats()">getTotalStats</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getStats(java.lang.Object)"><!-- --></A><A NAME="getStats(T)"><!-- --></A><H3>
getStats</H3>
<PRE>
public <A HREF="../../../../org/apache/http/pool/PoolStats.html" title="class in org.apache.http.pool">PoolStats</A> <B>getStats</B>(<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&nbsp;route)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html#getStats(T)">getStats</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/pool/ConnPoolControl.html" title="interface in org.apache.http.pool">ConnPoolControl</A>&lt;<A HREF="../../../../org/apache/http/pool/AbstractConnPool.html" title="type parameter in AbstractConnPool">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="closeIdle(long, java.util.concurrent.TimeUnit)"><!-- --></A><H3>
closeIdle</H3>
<PRE>
public void <B>closeIdle</B>(long&nbsp;idletime,
                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</PRE>
<DL>
<DD>Closes connections that have been idle longer than the given period
 of time and evicts them from the pool.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>idletime</CODE> - maximum idle time.<DD><CODE>tunit</CODE> - time unit.</DL>
</DD>
</DL>
<HR>

<A NAME="closeExpired()"><!-- --></A><H3>
closeExpired</H3>
<PRE>
public void <B>closeExpired</B>()</PRE>
<DL>
<DD>Closes expired connections and evicts them from the pool.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>toString</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractConnPool.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/pool/ConnFactory.html" title="interface in org.apache.http.pool"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/pool/AbstractConnPool.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractConnPool.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
